package com.prolog.cs.biz.outbound.service;

import com.prolog.cs.biz.outbound.model.tms.TmsShipBill;
import com.prolog.cs.biz.outbound.model.tms.TmsShipBillPackage;
import com.prolog.entity.vo.*;
import com.prolog.upcloud.base.wh.operate.model.EisLog;

import java.util.List;

public interface MqOutBoundProducer {
    void outBoundRequest(List<OutBoundRequestVO> list);

    void upgradePriority(List<UpdatePriorityVO> list);

    void cancelTasks(List<CancelTasksVO> list);

    void operationComplete(List<OperationCompleteVO> list);

    void saveEisLog(EisLog eisLog);
    void tmsShipBill(TmsShipBill dto);
    void tmsShipBillPackage(TmsShipBillPackage dto);

    void containerTailgatingRequest(List<ContainerTailgatingRequestVO> list);
}
